## org.eclipse.emf.codegen.util
Class GIFEmitter

    java.lang.Object
      org.eclipse.emf.codegen.util.GIFEmitter

    public class GIFEmitter

extends java.lang.Object

Colourizes grey-scale icons, such as the Item.gif and CreateChild.gif icons generated with EMF.Edit item providers. Such icons can include one or two different grey scales to be colourized.

Since:
  2.2.0

Nested Class Summary
`protected static class` `GIFEmitter.ColorInformation`

Field Summary
`protected java.lang.String` `inputFile`
`protected static int` `tableOffset1`
`protected static int` `tableOffset2`

Constructor Summary
`GIFEmitter(java.lang.String inputFile)`

Method Summary
`protected int` `code(java.lang.String code)`
`byte[]` `generateGIF(java.lang.String key1, java.lang.String key2)`
`protected int` `getContents(byte[] content, java.lang.String gifFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inputFile

    protected java.lang.String inputFile

### tableOffset1

    protected static final int tableOffset1

See Also:
  Constant Field Values

### tableOffset2

    protected static final int tableOffset2

See Also:
  Constant Field Values

Constructor Detail

### GIFEmitter

    public GIFEmitter(java.lang.String inputFile)

Method Detail

### code

    protected int code(java.lang.String code)

### generateGIF

    public byte[] generateGIF(java.lang.String key1,
                              java.lang.String key2)

### getContents

    protected int getContents(byte[] content,
                              java.lang.String gifFile)
                       throws JETException,
                              java.io.IOException

  Throws:
    `JETException`
    `java.io.IOException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.